Fetch test run
Fetch Supabase-backed v1 test run metadata by id.
GET
/v1/projects/{projectId}/test-runs/{testRunId}Authorization
AuthorizationPersonal API key · headerrequiredYour personal API key from Settings > Personal API Keys, sent as Bearer <key>.
X-Organization-IdOrganization ID · headerrequiredThe organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.
Path parameters
projectIdstringrequiredtestRunIdstringrequiredResponses
200
Response for status 200
test_runobjectrequiredShow propertiesHide properties
idstringrequiredorganization_idstringproject_idstringrequireduser_idstringrequiredtest_config_idstringrequireddataset_idstringrequireddataset_version_idstringrequiredsourcestringrequiredAllowed:
sdkclimcpplatformlegacystatusstringrequiredAllowed:
pendingrunningcompletederrorcancellednamestringrequirederror_messagestring | nullShow propertiesHide properties
Any of:
string
stringnull
nullcreated_atstringupdated_atstringstarted_atstring | nullShow propertiesHide properties
Any of:
string
stringnull
nullcompleted_atstring | nullShow propertiesHide properties
Any of:
string
stringnull
nullui_results_urlstring | nullShow propertiesHide properties
Any of:
string
stringnull
null404
Response for status 404
errorstringrequiredmessagestringcodestringdetailsstring[]